"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toJSONValue = void 0;
const index_1 = require("./index");
const utils_1 = require("../utils");
const adjust_types_to_json_value_1 = require("./helpers/adjust-types-to-json-value");
const to_json_value_helper_1 = require("./helpers/to-json-value-helper");
const toJSONValue = item => {
    const changed = (0, to_json_value_helper_1.toJSONValueHelper)(item);
    if (changed !== undefined) {
        return changed;
    }
    let newItem = item;
    if ((0, utils_1.isObject)(item)) {
        newItem = index_1.EJSON.clone(item);
        (0, adjust_types_to_json_value_1.adjustTypesToJSONValue)(newItem);
    }
    return newItem;
};
exports.toJSONValue = toJSONValue;
//# sourceMappingURL=to-json-value.js.map